package com.yiqi.common.enums;

/**
 * @author xiaohei
 * @date 2024/1/22
 */
public enum ThirdDeliveryActionType implements IntegerCodeEnum{

    _100001(100001, "揽件阶段-揽件成功"),
    _100002(100002, "揽件阶段-揽件失败"),
    _100003(100003, "揽件阶段-分配业务员"),
    _200001(200001, "运输阶段-更新运输轨迹"),
    _300002(300002, "派送阶段-开始派送"),
    _300003(300003, "派送阶段-签收成功"),
    _300004(300004, "派送阶段-签收失败"),
    _400001(300004, "异常阶段-订单取消"),
    _400002(400002, "异常阶段-订单滞留"),
    ;


    private final Integer code;
    private final String info;

    ThirdDeliveryActionType(Integer code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public int getCode() {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
